
/*

   MODPLAYER Final Version
   -----------------------
   
   SAU(TNC) Marzo 1996
   
   -----------------------
   
   Para alguna sugerencia, critica o pregunta dirigirse a:
   
   SAU(TNC)
   Apartado de correos n46
   15.200-NOIA
   La Corua
   
*/


#include <exec/types.h>
#include <libraries/dos.h>
#include <proto/exec.h>
#include <proplayer.h>
#include <stdio.h>
#include <intuition/intuition.h>
#include <clib/intuition_protos.h>

extern struct MMD0 far song;

struct IntuitionBase *IntuitionBase;

struct Window *mi_ventana=NULL;

VOID main()
{
  IntuitionBase = OpenLibrary("intuition.library");

  if( IntuitionBase == NULL )
  {
    printf ("Error: No puedo abrir la librera Intuition.\n");
    exit();

  }
  
  mi_ventana = OpenWindowTags(
    NULL,
    WA_Left, 150,           /* Coordenada x inicio de la ventana */
    WA_Top, 20,             /* Coordenada y inicio de la ventana */
    WA_Width, 300,          /* 300 pixels de ancho */
    WA_Height, 10,          /*  10 pixels de alto */
    WA_MinWidth, 80,        /* Mnimo tamao de anchura permitido */
    WA_MinHeight, 80,       /* Mnimo tamao de altura permitido */
    WA_MaxWidth, ~0,        /* Mximo tamao de anchura permitido (~0=sin mximo)*/
    WA_MaxHeight, ~0,       /* Mximo tamao de altura permitido */
    WA_Activate,TRUE,       /* Activar al abrirse */
    WA_NoCareRefresh, TRUE, /* No necesitamos refresco de la ventana */
    WA_Title,"SAU(TNC) MODPLAYER Final Version", /* Ttulo de la ventana */
    TAG_DONE);


  /* verificar que no existe error */
  if (mi_ventana == NULL)
  {
    /* hay error */
    printf ("Error: No puedo abrir la ventana.\n");
    CloseLibrary( IntuitionBase );
    exit();
  }

  CloseLibrary( IntuitionBase );



/* Funciones del Player */


	RelocModule(&song);
	InitPlayer();
	PlayModule(&song);
	Wait(SIGBREAKF_CTRL_C); /* Ctrl-C para salir al AmigaDOS */
	RemPlayer();
}
